/* Get date and time (C subroutine)

   Harald Ritter
   Institut fuer Kristallographie
   der Universitaet Tuebingen
   Charlottenstrasse 33
   D-72070 Tuebingen
   Germany
   phone: +49(0)7071/29-76389
   email: harald.ritter@uni-tuebingen.de

   Last updated 30 Mar 1998  */


#include <time.h>
#define SIZE 20

void datum_(char *date, char *uhrzeit)
  {
    time_t curtime;
    struct tm *loctime; 

    /* Get the current time. */
    curtime = time(NULL);

    /* Convert it to the local time representation. */
    loctime = localtime(&curtime);

    /* Print it out in nice format. */
    strftime(date,SIZE,"%d-%b-%y",loctime);
    strftime(uhrzeit,SIZE,"%H:%M:%S",loctime);

    /*    return 0; */
  }
